JsonDataBindingSourceCreator (Grails 3.2.3)
Date: 2016-11-10

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class JsonDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.JsonDataBindingSourceCreator

- Creates DataBindingSource objects from JSON in the request body

  Authors:
    Jeff Brown
    Graeme Rocher
  See Also:
    DataBindingSource
    DataBindingSourceCreator
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.json.JsonSlurper` | `jsonSlurper`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
    `protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
    `protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
    `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `protected java.util.Map` | `createJsonMap(java.lang.Object jsonElement)`
    `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) groovy.json.JsonSlurper jsonSlurper

  - ### Method Detail

    - #### @java.lang.Override protected DataBindingSource createBindingSource(java.io.Reader reader)

    - #### @java.lang.Override protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

    - #### @java.lang.Override protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected java.util.Map createJsonMap(java.lang.Object jsonElement)

    - #### @java.lang.Override MimeType[] getMimeTypes()